Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenCompartment

All Superinterfaces:
  EObject, GenChildContainer, GenCommonBase, GenContainerBase, Notifier

All Known Implementing Classes:
  GenCompartmentImpl

public interface GenCompartment
extends GenChildContainer

A representation of the model object 'Gen Compartment'. Child container within node. Compartment, iow.

The following features are supported:

- `Title`
- `Can Collapse`
- `Hide If Empty`
- `Needs Title`
- `Diagram`
- `Node`
- `List Layout`

See Also:
  `GMFGenPackage.getGenCompartment()`
** Generated **
Model:

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' container reference.
`GenNode` `getNode()` Returns the value of the 'Node' reference.
`java.lang.String` `getTitle()` Returns the value of the 'Title' attribute
`boolean` `isCanCollapse()` Returns the value of the 'Can Collapse' attribute.
`boolean` `isHideIfEmpty()` Returns the value of the 'Hide If Empty' attribute.
`boolean` `isListLayout()` Returns the value of the 'List Layout' attribute.
`boolean` `isNeedsTitle()` Returns the value of the 'Needs Title' attribute.
`void` `setCanCollapse(boolean value)` Sets the value of the '`Can Collapse`' attribute
`void` `setHideIfEmpty(boolean value)` Sets the value of the '`Hide If Empty`' attribute
`void` `setListLayout(boolean value)` Sets the value of the '`List Layout`' attribute
`void` `setNeedsTitle(boolean value)` Sets the value of the '`Needs Title`' attribute
`void` `setNode(GenNode value)` Sets the value of the '`Node`' reference
`void` `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getChildNodes, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getContainedNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CLASS_NAME_PREFIX

    public static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getTitle

    public java.lang.String getTitle()

  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' attribute.
  See Also:
    `GenCompartment.setTitle(String)`, `GMFGenPackage.getGenCompartment_Title()`
  ** Generated **
  Model:

### setTitle

    public void setTitle(java.lang.String value)

  Sets the value of the '`Title`' attribute.

  Parameters:
    `value` - the new value of the 'Title' attribute.
  See Also:
    `GenCompartment.getTitle()`
  ** Generated **

### isCanCollapse

    public boolean isCanCollapse()

  Returns the value of the 'Can Collapse' attribute. The default value is `"true"`.

  If the meaning of the 'Can Collapse' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Can Collapse' attribute.
  See Also:
    `GenCompartment.setCanCollapse(boolean)`, `GMFGenPackage.getGenCompartment_CanCollapse()`
  ** Generated **
  Model:
    default="true"

### setCanCollapse

    public void setCanCollapse(boolean value)

  Sets the value of the '`Can Collapse`' attribute.

  Parameters:
    `value` - the new value of the 'Can Collapse' attribute.
  See Also:
    `GenCompartment.isCanCollapse()`
  ** Generated **

### isHideIfEmpty

    public boolean isHideIfEmpty()

  Returns the value of the 'Hide If Empty' attribute. The default value is `"true"`.

  If the meaning of the 'Hide If Empty' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Hide If Empty' attribute.
  See Also:
    `GenCompartment.setHideIfEmpty(boolean)`, `GMFGenPackage.getGenCompartment_HideIfEmpty()`
  ** Generated **
  Model:
    default="true"

### setHideIfEmpty

    public void setHideIfEmpty(boolean value)

  Sets the value of the '`Hide If Empty`' attribute.

  Parameters:
    `value` - the new value of the 'Hide If Empty' attribute.
  See Also:
    `GenCompartment.isHideIfEmpty()`
  ** Generated **

### isNeedsTitle

    public boolean isNeedsTitle()

  Returns the value of the 'Needs Title' attribute. The default value is `"true"`.

  If the meaning of the 'Needs Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Needs Title' attribute.
  See Also:
    `GenCompartment.setNeedsTitle(boolean)`, `GMFGenPackage.getGenCompartment_NeedsTitle()`
  ** Generated **
  Model:
    default="true"

### setNeedsTitle

    public void setNeedsTitle(boolean value)

  Sets the value of the '`Needs Title`' attribute.

  Parameters:
    `value` - the new value of the 'Needs Title' attribute.
  See Also:
    `GenCompartment.isNeedsTitle()`
  ** Generated **

### getDiagram

    public GenDiagram getDiagram()

  Returns the value of the 'Diagram' container reference. It is bidirectional and its opposite is '`Compartments`'.

  If the meaning of the 'Diagram' container reference isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getGenCompartment_Diagram()`, `GenDiagram.getCompartments()`
  ** Generated **
  Model:
    opposite="compartments" required="true" changeable="false"

### getNode

    public GenNode getNode()

  Returns the value of the 'Node' reference. It is bidirectional and its opposite is '`Compartments`'.

  If the meaning of the 'Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node' reference.
  See Also:
    `GenCompartment.setNode(GenNode)`, `GMFGenPackage.getGenCompartment_Node()`, `GenNode.getCompartments()`
  ** Generated **
  Model:
    opposite="compartments" required="true"

### setNode

    public void setNode(GenNode value)

  Sets the value of the '`Node`' reference.

  Parameters:
    `value` - the new value of the 'Node' reference.
  See Also:
    `GenCompartment.getNode()`
  ** Generated **

### isListLayout

    public boolean isListLayout()

  Returns the value of the 'List Layout' attribute. The default value is `"true"`.

  If the meaning of the 'List Layout' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'List Layout' attribute.
  See Also:
    `GenCompartment.setListLayout(boolean)`, `GMFGenPackage.getGenCompartment_ListLayout()`
  ** Generated **
  Model:
    default="true"

### setListLayout

    public void setListLayout(boolean value)

  Sets the value of the '`List Layout`' attribute.

  Parameters:
    `value` - the new value of the 'List Layout' attribute.
  See Also:
    `GenCompartment.isListLayout()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.